export class RangeDatepicker extends LitElement {
    /**
     * Array of disabled days. Format is Unix timestamp.
     */
    disabledDays: any[];
    /**
     * Display a select year control.
     */
    enableYearChange: boolean;
    /**
     * Force display of only one month.
     */
    forceNarrow: boolean;
    /**
     * Set locale of the calendar.
     */
    locale: any;
    /**
     * Max date. Format is Unix timestamp.
     */
    max: string;
    /**
     * Minimal date. Format is Unix timestamp.
     */
    min: string;
    /**
     * If true only one date can be selected.
     */
    noRange: boolean;
    dateFrom: any;
    dateTo: any;
    hoveredDate: any;
    monthPlus: number;
    yearPlus: any;
    narrow: boolean;
    month: number;
    year: number;
    render(): import("lit-html").TemplateResult<1>;
    renderNormal(): import("lit-html").TemplateResult<1>;
    renderNarrow(): import("lit-html").TemplateResult<1>;
    firstUpdated(): void;
    updated(properties: any): void;
    isNarrow(forceNarrow: any, narrow: any): any;
    queryMatchesChanged(mql: any): void;
    handlePrevMonth(): void;
    handleNextMonth(): void;
    hoveredDateChanged(event: any): void;
    monthChanged(month: any, year: any): void;
    noRangeChanged(isNoRange: any, wasNoRange: any): void;
    localeChanged(): void;
    dateToChanged(event: any): void;
    dateFromChanged(event: any): void;
}
export namespace RangeDatepicker {
    let styles: import("lit").CSSResult;
}
import { LitElement } from 'lit';
